---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Create delayed schedule

Creates a new delayed schedule in the charger's scheduling state.
This is a one-off schedule that delays charging up until the specified time.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Delayed schedule",
      "description": "Start charging after a delay.",
      "x-displayName": "Delayed schedule"
    }
  ],
  "paths": {
    "/api/chargers/{chargerId}/schedules/delayed": {
      "post": {
        "tags": [
          "Delayed schedule"
        ],
        "summary": "Create delayed schedule",
        "description": "Creates a new delayed schedule in the charger's scheduling state.\nThis is a one-off schedule that delays charging up until the specified time.",
        "operationId": "PostChargersSchedulesDelayed",
        "parameters": [
          {
            "name": "chargerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "request",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Scheduled_charging_CreateDelayedScheduleRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_CreateDelayedScheduleResponse"
                }
              }
            }
          },
          "400": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_HttpValidationProblemDetails"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Scheduled_charging_ProblemDetails": {
        "type": "object",
        "additionalProperties": {
          "nullable": true
        },
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Scheduled_charging_HttpValidationProblemDetails": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
          },
          {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            },
            "properties": {
              "errors": {
                "type": "object",
                "additionalProperties": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              }
            }
          }
        ]
      },
      "Scheduled_charging_CreateDelayedScheduleResponse": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "enabled",
          "timezone",
          "startTime",
          "maximumAmps"
        ],
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Whether the schedule is enabled. Enabled schedules are automatically installed to the charger."
          },
          "timezone": {
            "type": "string",
            "description": "IANA timezone identifier of timezone to use for the schedule."
          },
          "startTime": {
            "type": "string",
            "description": "Start time of the charging schedule.",
            "format": "time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes available to the vehicle throughout the charging schedule.",
            "format": "int32"
          }
        }
      },
      "Scheduled_charging_CreateDelayedScheduleRequest": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Whether the schedule is enabled. Enabled schedules are automatically installed to the charger."
          },
          "timezone": {
            "type": "string",
            "description": "IANA timezone identifier of timezone to use for the schedule."
          },
          "startTime": {
            "type": "string",
            "description": "Start time of the charging schedule.",
            "format": "time",
            "nullable": true
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes available to the vehicle throughout the charging schedule.",
            "format": "int32"
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```